#!/usr/bin/env python3
import sys
import time
import game

if __name__ == "__main__":
    if len(sys.argv) < 2:
        print("Usage: {} <server addr> <speed limit>".format(sys.argv[0]))
        print("Only vertical landing is supported")
        sys.exit(1)
    server_addr = sys.argv[1]
    if server_addr[:7] != "http://":
        server_addr = "http://" + server_addr
    lander = game.Lander.new_from_server(sys.argv[1])
    secs_before = time.time()
    steps = lander.steps_vert_landing(debug=False)
    secs_delay = time.time() - secs_before
    time.sleep(steps[0] - secs_delay)
    lander.send_movement_cmd(up=True)
